Bug 1271335 - [RFE] Support explicit configuration of L2 population
[RFE] Support explicit configuration of L2 population
Status: CLOSED CURRENTRELEASE
Product: RDO
Classification: Community
Component: rdo-manager (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: Liberty
Assigned To: Brent Eagles
Shai Revivo
:
Depends On:
Blocks: 1279615
  Show dependency treegraph
 
Reported: 2015-10-13 12:43 EDT by Brent Eagles
Modified: 2017-06-18 03:30 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Feature: Allow enabling Neutron L2 population feature. Reason: E.g. to reduce the amount of broadcast traffic in tenant networks. Result: Neutron L2 population can be optionally enabled using the NeutronEnableL2Pop parameter.
Story Points: ---
Clone Of:
: 1279615 (view as bug list)
Environment:
Last Closed: 2017-06-18 03:30:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenStack gerrit 244723 None None None 2015-12-30 04:41 EST

  None (edit)
Description Brent Eagles 2015-10-13 12:43:35 EDT
Support explicit configuration of L2 population in the overcloud:

The relevant configuration options are made to ml2_conf.ini on the controller.

# Insert l2population into the list of ML2 mechanism drivers
[ml2]
mechanism_drivers=...,l2population, ...


# enable l2 population in the agent configuration on all nodes running the agents
# (computes and network controllers)
# for openvswitch
[agent]
l2_population = [True|False]

# for linuxbridge
[vxlan]
l2_population = [True|False]
Comment 2 Mike McCune 2016-03-28 18:19:01 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 4 Christopher Brown 2017-06-18 03:30:48 EDT
Change was merged so closing...

Note You need to log in before you can comment on or make changes to this bug.